<?php
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}
error_reporting(0);
ini_set('display_errors', 0);
header('Content-Type: application/json');
require_once(__DIR__ . '/../db/conexion.php');

$inicio = $_GET['inicio'] ?? null;
$fin = $_GET['fin'] ?? null;
$attuid = $_SESSION['attuid'];
$IncluirAnteriores = isset($_GET['incAnt']) ? (bool)$_GET['incAnt'] : false;

$condPendientes = '';
$secCondPendientes = '';
$condPendAcum = '';
$condPendBanco = '';
$paramsPendientes = [];
$tiposPendientes = '';

if ($inicio && $fin) {

    if(!$IncluirAnteriores){
        $condPendientes = "WHERE DATE(fecha) <= ?";
        $secCondPendientes = "AND DATE(a.fecha_registro) <= ?";
        $condPendAcum = "AND DATE(a.fecha_registro) >= ?";
        $condPendBanco = "AND DATE(fecha_ingreso) <= ?";
        $paramsPendientes = [$fin, $fin, $inicio,  $attuid, $fin];
        $tiposPendientes = 'sssss';

    }else {
        $condPendientes = "WHERE DATE(fecha) <= ?";
        $secCondPendientes = "AND DATE(a.fecha_registro) <= ?";
        $condPendBanco = "AND DATE(fecha_ingreso) <= ?";
        $paramsPendientes = [$fin, $fin,  $attuid, $fin];
        $tiposPendientes = 'ssss';
    }
}   else {
  $paramsPendientes = [ $attuid ];
  $tiposPendientes = 's';
}

$sqlPendientes= "
SELECT a.id, a.nombre, a.apellido_paterno, a.apellido_materno, DATE(a.fecha_registro) AS fecha
FROM aspirantes a
LEFT JOIN (
    SELECT s1.aspirante_id, s1.estatus, s1.fecha
    FROM seguimiento_estatus s1
    INNER JOIN (
        SELECT MAX(id) as max_id
        FROM seguimiento_estatus
        $condPendientes
        GROUP BY aspirante_id
    ) s2 ON s1.id = s2.max_id
) s ON a.id = s.aspirante_id
WHERE COALESCE(s.estatus, 'asignado') = 'asignado'
$secCondPendientes
$condPendAcum
AND a.attuid = ?
AND a.id NOT IN (
    SELECT aspirante_id FROM banco_registros WHERE estatus = 'pendiente'
    $condPendBanco
)
";
$_stmt = $conn->prepare($sqlPendientes);
if (!empty($paramsPendientes)) {
    $_stmt->bind_param($tiposPendientes, ...$paramsPendientes);
}
$_stmt->execute();
$result = $_stmt->get_result();

$data =[];
while ($row = $result->fetch_assoc()) {
    $nombre = strtoupper($row['nombre'] . ' ' . $row['apellido_paterno'] . ' ' . $row['apellido_materno']);
    $data[] = [
        'id' => $row['id'],
        'nombre' => $nombre,
        'fecha' => date('d/m/Y', strtotime($row['fecha']))
    ];
}
echo json_encode(['success' => true, 'data' => $data]);

?>